# Class SimpleElementVisitor8<R,P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,P>
javax.lang.model.util.SimpleElementVisitor6<R,P>
javax.lang.model.util.SimpleElementVisitor7<R,P>
javax.lang.model.util.SimpleElementVisitor8<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,P>`

Direct Known Subclasses:
  `SimpleElementVisitor9`

@SupportedSourceVersion(RELEASE_8) public class SimpleElementVisitor8<R,P> extends SimpleElementVisitor7<R,P>
A simple visitor of program elements with default behavior appropriate for the `RELEASE_8` source version. Visit methods corresponding to `RELEASE_8` and earlier language constructs call `defaultAction`, passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  1.8
See Also:
  - Compatibility note for subclasses
  - `SimpleElementVisitor6`
  - `SimpleElementVisitor7`
  - `SimpleElementVisitor9`
  - `SimpleElementVisitor14`

- ## Field Summary

  ### Fields declared in class SimpleElementVisitor6

  `DEFAULT_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleElementVisitor8()`
  Constructor for concrete subclasses; uses `null` for the default value.
  `protected`
  `SimpleElementVisitor8(R defaultValue)`
  Constructor for concrete subclasses; uses the argument for the default value.

- ## Method Summary

  ### Methods declared in class SimpleElementVisitor7

  `visitVariable`

  ### Methods declared in class SimpleElementVisitor6

  `defaultAction, visitExecutable, visitPackage, visitType, visitTypeParameter`

  ### Methods declared in class AbstractElementVisitor6

  `visit, visit, visitModule, visitRecordComponent, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleElementVisitor8

    protected SimpleElementVisitor8()
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleElementVisitor8

    protected SimpleElementVisitor8(R defaultValue)
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleElementVisitor6.DEFAULT_VALUE`